Bem-vindo, Visitante
Nome do utilizador: Senha: Memorizar

TÓPICO: macOS Mojave 10.14

macOS Mojave 10.14 23 Abr. 2019 23:23 #15755

  • tiagosantos
  • Avatar de tiagosantos
  • Offline
  • Mensagens: 2
marcolopes escreveu:
Deve ter a versão 9 do Java instalada nessa máquina por predefinição... p.f. instale o JAVA 7 ou 8 (não deverá ter qualquer problemas).

Veja a solução neste tópico: www.projectocolibri.com/forum/sistema-op...o-iniciar-o-programa

obrigado! Vou tentar…
Última Edição: 23 Abr. 2019 23:32 por marcolopes.
O adminstrador desactivou a escrita pública.

macOS Mojave 10.14 16 Abr. 2019 16:44 #15751

  • marcolopes
  • Avatar de marcolopes
  • Offline
  • Mensagens: 5341
  • Obrigado recebido 741
tiagosantos escreveu:
Tenho usado o colibri em high sierra, numa pasta dropbox para usar com 2 máquinas ao mesmo tempo, sem qualquer problema.
Troquei uma das máquinas para mojave e agora não consigo carregar a aplicação.

Deve ter a versão 9 do Java instalada nessa máquina por predefinição... p.f. instale o JAVA 7 ou 8 (não deverá ter qualquer problemas).

Veja a solução neste tópico: www.projectocolibri.com/forum/sistema-op...o-iniciar-o-programa
Marco Lopes
Gestor de projecto
Análise e Programação
O adminstrador desactivou a escrita pública.

macOS Mojave 10.14 24 Mar. 2019 16:58 #13073

  • tiagosantos
  • Avatar de tiagosantos
  • Offline
  • Mensagens: 2
Viva.

Tenho usado o colibri em high sierra, numa pasta dropbox para usar com 2 máquinas ao mesmo tempo, sem qualquer problema.

Troquei uma das máquinas para mojave e agora não consigo carregar a aplicação.

eis o log:
!SESSION 2019-03-23 10:40:00.194 -----------------------------------------------
eclipse.buildId=unknown
java.version=11.0.2
java.vendor=Oracle Corporation
BootLoader constants: OS=macosx, ARCH=x86_64, WS=cocoa, NL=en_PT
Framework arguments:  -keyring /Users/TiagoSantos/.eclipse_keyring -showlocation
Command-line arguments:  -os macosx -ws cocoa -arch x86_64 -keyring /Users/TiagoSantos/.eclipse_keyring -showlocation

!ENTRY org.eclipse.equinox.common 4 0 2019-03-23 10:40:00.779
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: The bundle "org.eclipse.equinox.common_3.6.100.v20120522-1841 [94]" could not be resolved. Reason: Missing Constraint: Bundle-RequiredExecutionEnvironment: CDC-1.1/Foundation-1.1,J2SE-1.4
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1332)
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1316)
	at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:323)
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:390)
	at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1176)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:559)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:544)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:457)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:243)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:438)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.core.runtime 4 0 2019-03-23 10:40:00.780
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: The bundle "org.eclipse.core.runtime_3.8.0.v20120521-2346 [75]" could not be resolved. Reason: Missing Constraint: Bundle-RequiredExecutionEnvironment: CDC-1.0/Foundation-1.0,J2SE-1.3
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1332)
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1316)
	at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:323)
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:390)
	at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1176)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:559)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:544)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:457)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:243)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:438)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
Última Edição: 13 Abr. 2019 19:17 por marcolopes.
O adminstrador desactivou a escrita pública.
Moderadores: marcolopes
Desenvolvido por Kunena